Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.callTree
Class TraceCallTreeFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
                      kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
                          kieker.tools.traceAnalysis.filter.AbstractMessageTraceProcessingFilter
                              kieker.tools.traceAnalysis.filter.visualization.callTree.TraceCallTreeFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public class TraceCallTreeFilter

extends AbstractMessageTraceProcessingFilter

Plugin providing the creation of calling trees both for individual traces and an aggregated form for multiple traces.
This class has exactly one input port named "in". The data which is sent to this plugin is not delegated in any way.

Since:
  1.1
Author:
  Andre van Hoorn

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_OUTPUT_FILENAME` This is the name of the property determining the output file name.
`static String` | `CONFIG_PROPERTY_NAME_SHORT_LABELS` This is the name of the property determining whether to use short labels or not.
`static String` | `CONFIG_PROPERTY_VALUE_OUTPUT_FILENAME_DEFAULT` This is the default used output file name.
`static String` | `CONFIG_PROPERTY_VALUE_SHORT_LABELS_DEFAULT` This is the default value whether to use short labels or not.

Fields inherited from class kieker.tools.traceAnalysis.filter.AbstractMessageTraceProcessingFilter
`INPUT_PORT_NAME_MESSAGE_TRACES`

Fields inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`CONFIG_PROPERTY_VALUE_VERBOSE, REPOSITORY_PORT_NAME_SYSTEM_MODEL`

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`TraceCallTreeFilter(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`void` | `inputMessageTraces(MessageTrace mt)` This is the (abstract) input port for the incoming message traces.
`void` | `printStatusMessage()` Returns a user-addressed status message to be logged by the calling tool.

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
`getErrorCount, getLastTraceIdError, getLastTraceIdSuccess, getSuccessCount, getTotalCount`

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`createExecutionByEntityNames, createExecutionByEntityNames, getSystemEntityFactory`

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init, terminate`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### CONFIG_PROPERTY_NAME_OUTPUT_FILENAME

    public static final String CONFIG_PROPERTY_NAME_OUTPUT_FILENAME

  This is the name of the property determining the output file name.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_SHORT_LABELS

    public static final String CONFIG_PROPERTY_NAME_SHORT_LABELS

  This is the name of the property determining whether to use short labels or not.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_VALUE_OUTPUT_FILENAME_DEFAULT

    public static final String CONFIG_PROPERTY_VALUE_OUTPUT_FILENAME_DEFAULT

  This is the default used output file name.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_VALUE_SHORT_LABELS_DEFAULT

    public static final String CONFIG_PROPERTY_VALUE_SHORT_LABELS_DEFAULT

  This is the default value whether to use short labels or not.

  See Also:
    Constant Field Values

Constructor Detail

### TraceCallTreeFilter

    public TraceCallTreeFilter(Configuration configuration,
                               IProjectContext projectContext)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this component.
    `projectContext` - The project context for this component.

Method Detail

### printStatusMessage

    public void printStatusMessage()

  Description copied from class: `AbstractTraceProcessingFilter`
  Returns a user-addressed status message to be logged by the calling tool. Extending classes may override this method but should call the then-inherited method first.

  Overrides:
    `printStatusMessage` in class `AbstractTraceProcessingFilter`

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Overrides:
    `getCurrentConfiguration` in class `AbstractTraceAnalysisFilter`
  Returns:
    A completely filled configuration object.

### inputMessageTraces

    public void inputMessageTraces(MessageTrace mt)

  Description copied from class: `AbstractMessageTraceProcessingFilter`
  This is the (abstract) input port for the incoming message traces.

  Specified by:
    `inputMessageTraces` in class `AbstractMessageTraceProcessingFilter`
  Parameters:
    `mt` - The incoming message trace.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net